<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
?>
                  <h4 class="card-title">Danh sách vật phẩm</h4>
				             <div class="input-group"  style="width:62%;float:right">
                            <select class="form-control" style="width:200px" id="type_seachls">
							<option value="0">Tìm theo Tên / ID Item</option>
							<select>  
                            <input type="text" id="text_seach" class="form-control" placeholder="Nội dung" style="width:120px">						
                        </div>
                  <div class="table-responsive">
				  						<hr />

                    <table class="table table-bordered" style="width: 100%; margin-bottom: 4rem; background-color: transparent;">
                      <thead>
                        <tr>
                          <th>
                            #
                          </th>
                          <th>
                            ID Vật phẩm
                          </th>
                          <th>
                           Tên vật phẩm
                          </th>							  					  
                        </tr>
                      </thead>
					  <div id="sotrangA"></div>
                      <tbody id="listitem">
                      </tbody>
                    </table>
                  </div>
<script>
PaginationItem('0');
$(document).ready(function() {
$("#text_seach").watermark("Nhập Thứ cần tìm");	// Watermart cho khung nhập
$("#text_seach").keyup(function()
{
	var text_seach = $(this).val();   		// Lấy giá trị search của người dùng
	var dataString = 'keyword='+ text_seach + '&pageId=0';	// Lấy giá trị làm tham số đầu vào cho file ajax-search.php
	if(text_seach.length>0)					// Kiểm tra giá trị người nhập có > 3 ký tự hay ko
	{
		$.ajax({
			type: "GET",      						// Phương thức gọi là GET
			url: "ajax-search-item.php",  				// File xử lý
			data: dataString,						// Dữ liệu truyền vào
			dataType: 'json',			
			beforeSend:  function() {				// add class "loading" cho khung nhập
				$('input#text_seach').addClass('loading');
			},
			success: function(server_response)		// Khi xử lý thành công sẽ chạy hàm này
			{
                 $("#sotrangA").html(server_response['trang']);
				 $("#listitem").html(server_response['text']);							
				 
				if ($('input#text_seach').hasClass("loading")) {		// Kiểm tra class "loading"
					$("input#text_seach").removeClass("loading");		// Remove class "loading"
				} 
			}
		});
	} else {
		$.ajax({
			type: "GET",      						// Phương thức gọi là GET
			url: "ajax-search-item.php",  				// File xử lý
			dataType: 'json',			
			data: "macdinh=true&pageId=0",						// Dữ liệu truyền vào
			success: function(server_response)		// Khi xử lý thành công sẽ chạy hàm này
			{
                 $("#sotrangA").html(server_response['trang']);
				 $("#listitem").html(server_response['text']);							
			}
		});		
	}
	return false;		// Không chuyển trang
});
});
function setcard_type(sv, userSet, playeridSET, CardSet, IDCardSet){
	if(userSet == "" || playeridSET == ""){
Lobibox.notify('info', {size: 'mini',msg: 'Không tin xét duyệt thất bại.'});					
	} else {
		$.post('ajax_setcard.php', {
		sv:sv,
		IDCard:IDCardSet,
		user:userSet,
		playerid:playeridSET,
		SET:CardSet
		}, function(data){
			if(data == 0){
Lobibox.notify('success', {size: 'mini',msg: "Đã điều chỉnh thành công."});							
			} else {
Lobibox.notify('error', {size: 'mini',msg: data});							
			}
		});
	}
}
</script>				  
		   